Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerInformationList_out Class Reference

`#include <ImplRepoC.h>`

List of all members.

## Public Methods
| ServerInformationList_out (ServerInformationList *&)
| ServerInformationList_out (ServerInformationList_var &)
| ServerInformationList_out (const ServerInformationList_out &)
ServerInformationList_out & | operator= (const ServerInformationList_out &)
ServerInformationList_out & | operator= (ServerInformationList *)
| operator ServerInformationList *& ()
ServerInformationList *& | ptr (void)
ServerInformationList * | operator-> (void)
ServerInformation & | operator[] (CORBA::ULong index)
## Private Methods
void | operator= (const ServerInformationList_var &)
## Private Attributes
ServerInformationList *& | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::ServerInformationList_out::ServerInformationList_out | ( | ServerInformationList *& |  | ) |

ImplementationRepository::ServerInformationList_out::ServerInformationList_out | ( | ServerInformationList_var & |  | ) |

ImplementationRepository::ServerInformationList_out::ServerInformationList_out | ( | const ServerInformationList_out & |  | ) |

## Member Function Documentation

ImplementationRepository::ServerInformationList_out::operator ServerInformationList *& | ( |  | ) |

ServerInformationList* ImplementationRepository::ServerInformationList_out::operator-> | ( | void |  | ) |

void ImplementationRepository::ServerInformationList_out::operator= | ( | const ServerInformationList_var & |  | ) | `[private]`

ServerInformationList_out& ImplementationRepository::ServerInformationList_out::operator= | ( | ServerInformationList * |  | ) |

ServerInformationList_out& ImplementationRepository::ServerInformationList_out::operator= | ( | const ServerInformationList_out & |  | ) |

ServerInformation& ImplementationRepository::ServerInformationList_out::operator[] | ( | CORBA::ULong | index | ) |

ServerInformationList*& ImplementationRepository::ServerInformationList_out::ptr | ( | void |  | ) |

## Member Data Documentation

ServerInformationList*& ImplementationRepository::ServerInformationList_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h